package com.ruoyi.sy.domain;

import com.ruoyi.syzy.domain.BBusiWishUniversities;
import com.ruoyi.syzy.dto.UniversitiesCondDTO;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业开设院校对象 sy_major_university
 * 
 * @author mingxue
 * @date 2022-07-01
 */
public class SyMajorUniversity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String universityCode;

    private String location;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String universityName;

    /** 综合指数 */
    @Excel(name = "综合指数")
    private String diffScore;

    /** 评级 */
    @Excel(name = "评级")
    private String grade;

    /** 评级 */
    @Excel(name = "评级")
    private String mseLevel;

    /** 排名 */
    @Excel(name = "排名")
    private Long rank;

    /** 专业编码 */
    @Excel(name = "专业编码")
    private String majorCode;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 主管机构类别 */
    @ApiModelProperty("主管机构类别")
    private String managerType;

    private String natureTypeCN;

    /** 院校类型 */
    @ApiModelProperty("院校类型")
    private String type;

    /** 学历层次 */
    @ApiModelProperty("学历层次")
    private String level;

    @ApiModelProperty("特色")
    private String features;

    private BBusiWishUniversities university;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public BBusiWishUniversities getUniversity() {
        return university;
    }

    public void setUniversity(BBusiWishUniversities university) {
        this.university = university;
    }

    public String getManagerType() {
        return managerType;
    }

    public void setManagerType(String managerType) {
        this.managerType = managerType;
    }

    public String getNatureTypeCN() {
        return natureTypeCN;
    }

    public void setNatureTypeCN(String natureTypeCN) {
        this.natureTypeCN = natureTypeCN;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getFeatures() {
        return features;
    }

    public void setFeatures(String features) {
        this.features = features;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUniversityCode(String universityCode)
    {
        this.universityCode = universityCode;
    }

    public String getUniversityCode()
    {
        return universityCode;
    }
    public void setUniversityName(String universityName)
    {
        this.universityName = universityName;
    }

    public String getUniversityName()
    {
        return universityName;
    }
    public void setDiffScore(String diffScore)
    {
        this.diffScore = diffScore;
    }

    public String getDiffScore()
    {
        return diffScore;
    }
    public void setGrade(String grade)
    {
        this.grade = grade;
    }

    public String getGrade()
    {
        return grade;
    }
    public void setMseLevel(String mseLevel)
    {
        this.mseLevel = mseLevel;
    }

    public String getMseLevel()
    {
        return mseLevel;
    }
    public void setRank(Long rank)
    {
        this.rank = rank;
    }

    public Long getRank()
    {
        return rank;
    }
    public void setMajorCode(String majorCode)
    {
        this.majorCode = majorCode;
    }

    public String getMajorCode()
    {
        return majorCode;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("universityCode", getUniversityCode())
            .append("universityName", getUniversityName())
            .append("diffScore", getDiffScore())
            .append("grade", getGrade())
            .append("mseLevel", getMseLevel())
            .append("rank", getRank())
            .append("majorCode", getMajorCode())
            .append("year", getYear())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
